%define name	eid-mw
%define	release	%mkrel 1
%define version 4.1.21
%define major 0

Summary:	Middleware for the Belgium eID card
Summary(de):	Middleware für die belgische eID Karte
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL v3
Group:		Communications
URL:		http://eid.belgium.be/nl/je_eid_gebruiken/de_eid-middleware_installeren/linux/
Source0:	https://github.com/Fedict/eid-mw/releases/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#----------------------------------------
BuildRequires: 	libpcsclite-devel
BuildRequires: 	gtk+2-devel
BuildRequires:	libpthread-stubs
#----------------------------------------
Requires:	pcsc-lite
Requires:	ccid
Obsoletes: 	%name < %version


%description
eID-Middleware is the official middleware for the usage of the Belgium eID Card.

#german
%description -l de
eID-Middleware ist die offizielle Middleware für die Nutzung der 
belgischen eID Karte.


%prep
%setup -q
autoreconf -i

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove static libraries
rm -f %{buildroot}%{_libdir}/libbeidpkcs11.la
rm -f %{buildroot}%{_libdir}/libbeidpkcs11.a
# remove devel lib i think it is not needed
rm -f %{buildroot}%{_libdir}/libbeidpkcs11.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%doc AUTHORS COPYING README
%defattr(-,root,root,-)
%{_bindir}/about-eid-mw
%{_datadir}/locale/*/LC_MESSAGES/about-eid-mw.mo
%{_datadir}/mozilla/extensions
%{_desktopdir}/about-eid-mw.desktop
%{_libdir}/beid-askaccess
%{_libdir}/beid-askpin
%{_libdir}/beid-badpin
%{_libdir}/beid-changepin
%{_libdir}/beid-spr-askpin
%{_libdir}/beid-spr-changepin
%{_libdir}/libbeidpkcs11.so.%{major}*

%changelog
* Fri Jan 27 2017 adrianomorselli <adrianomorselli> 4.1.21-1uplos2017
- rebuild

* Wed Dec 21 2016 ghostbunny <ghostbunny at gmx dot de> 4.1.21-1pclos2017
- 4.1.21

* Sat Feb 20 2016 ghostbunny <ghostbunny at gmx dot de> 4.1.13-1pclos2016
- 4.1.13

* Thu Aug 13 2015 ghostbunny <ghostbunny at gmx dot de> 4.1.5-1pclos2015
- 4.1.5
